Skip to Content
APIsMarket Details

Market Details

Get market details returns information about a crypto pair.

Get Market Details

GEThttps://api.adesic.com/v2/cex/{exchange}/{market}

Returns an object with properties about the crypto pair.

Path Parameters

NameTypeDescription
exchange*stringUnique exchange identifier used by Adesic.
market*stringUnique Crypto Pair identifier used by the exchange.

Query Parameters

NameTypeDescription
apiKey*stringYour Adesic API Key
success-response.js
{ "exchange":"coinbasepro", "symbol":"BTC/USD", "id":"BTC-USD", "active":true, "base":"BTC", "quote":"USD", "percentage":true, "taker":0.005, "maker":0.005, "type":"spot" }

Copy & Paste Code

curl-request.sh
curl -H "api-key: API KEY" https://api.adesic.com/v2/cex/coinbasepro/BTC-USD

Response Object

Example URL: https://api.adesic.com/v2/cex/coinbasepro/BTC-USD 

response.json
{ "exchange":"coinbasepro", "symbol":"BTC/USD", "id":"BTC-USD", "active":true, "base":"BTC", "quote":"USD", "percentage":true, "taker":0.005, "maker":0.005, "type":"spot" }

Response Attributes

Attribute NameData TypeDescription
exchangestringUnique identifier used by Adesic for the exchange.
symbolstringThe symbol of the market.
idstringUnique identifier used by Adesic for the market.
activebooleanWhether the market is active on the exchange.
basestringThe base of the market. eg: The quantity that is bought.
quotestringThe quote of the market. eg: The currency being compared.
percentagebooleanWhether the taker and maker fee rate is a multiplier or a fixed flat amount.
takerfloatTaker fee rate, 0.002 = 0.2%.
makerfloatMaker fee rate, 0.0016 = 0.16%.
typestringExchange type that the market is listed on.

© Adesic LLC. All Rights Reserved